{adipamid: Acta Cryst. 1966, 20, 626;
  struktura sloist., prichom:
  (1) v kazhd. sloe kontsev. gruppy sv`azany H-sv`az`ami, obrazuja setchat.
      polosy (kazhd. CONH2 - s 2-m`a sosed`ami, t.e. net tsepej iz molek.,
      kak v adip. k-te);
  (2) (CH2)n mezhdu sosedn. takimi polosami parall. drug drugu,
      no obraz. ugol ~45o s (CH2)n, lezhashchimi mezhdu drugoj paroj
      takikh zhe polos:
        /(   \(   /(   \
      /   )\   )/   )\
        /(   \(   /(   \
      /   )\   )/   )\    ;
  (3) (CH2)n odnogo sloja lezhat primerno nad CONH2 drugogo, t.e. net
      khorosh. perekryv. ni parallel`nykh drug drugu, ni lezhashchikh
      vnakhl`ost tsepej, i nejasno, kak upakovka mozhet transform.
      pri uvel. dliny tsepej.
}

 const imya='adipamid';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=6.89; b:=5.15; c:=10.67;
  alpha:=90*grad; beta:=111*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=5{11};
   initvect(a[1].r,0.583, 0.0267, 0.4707); a[1].obozn:='C 1';
   initvect(a[2].r,0.6489,-0.2245, 0.4249); a[2].obozn:='C 2'; {utochn.!}
   initvect(a[3].r,0.8012,-0.1923, 0.3562); a[3].obozn:='C 3';
   initvect(a[4].r,0.8830,-0.4108, 0.3306); a[4].obozn:='N ';
   initvect(a[5].r,0.8442, 0.0231, 0.3244); a[5].obozn:='O ';
   initvect(a[6].r,0.7136, 0.0876, 0.5433); a[6].obozn:='H 10';
   initvect(a[7].r,0.5257, 0.1045, 0.3930); a[7].obozn:='H 11';
   initvect(a[8].r,0.7076,-0.2882, 0.4920); a[8].obozn:='H 20';
   initvect(a[9].r,0.5345,-0.2724, 0.3647); a[9].obozn:='H 21';
   initvect(a[10].r,0.9530,-0.3120, 0.2930); a[10].obozn:='H 40';
   initvect(a[11].r,0.8620,-0.5848, 0.3338); a[11].obozn:='H 41';
   centr:=a[3].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.8;
  nado_postr:=(q[1]>=-1.2) and (q[1]<=(1+1.2))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

