{azelain. k-ta - alpha-forma; Acta Cryst. 1967, 22, 289}

 const imya='azelai_a';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=5.67; b:=9.61; c:=27.39;
  alpha:=90*grad; beta:=(136+50/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=14{15}{29};
   initvect(a[1].r,0.4610,0.0749,0.0598); a[1].obozn:='C 1';
   initvect(a[2].r,0.4401,0.1479,0.1051); a[2].obozn:='C 2';
   initvect(a[3].r,0.5424,0.0571,0.1639); a[3].obozn:='C 3';
   initvect(a[4].r,0.5418,0.1433,0.2107); a[4].obozn:='C 4';
   initvect(a[5].r,0.5725,0.0555,0.2615); a[5].obozn:='C 5';
   initvect(a[6].r,0.5723,0.1456,0.3070); a[6].obozn:='C 6';
   initvect(a[7].r,0.5705,0.0638,0.3542); a[7].obozn:='C 7';
   initvect(a[8].r,0.5833,0.1513,0.4007); a[8].obozn:='C 8';
   initvect(a[9].r,0.5595,0.0844,0.4456); a[9].obozn:='C 9';
   initvect(a[10].r,0.2372,0.1013,-0.0056); a[10].obozn:='O 1';
   initvect(a[11].r,0.6999,-0.0107,0.0875); a[11].obozn:='O 2';
   initvect(a[12].r,0.5026,-0.0405,0.4409); a[12].obozn:='O 3';
   initvect(a[13].r,0.5822,0.1657,0.4857); a[13].obozn:='O 4';
   initvect(a[14].r,0.570, 0.120,0.510); a[14].obozn:='H k';
{v orig. - est` H v CH2-gruppakh, no net 2-go H_kisl;
  gruppa C9O3O4: C9O3=1.22; C9O4=1.27; H_kisl sv`az. s O4; O3..O4=2.67.
  gruppa C1O1O2: C1O1=1.25; C1O2=1.26; H_kisl ne ukaz.; O1..O2=2.66.
  Mozhno predp. razupor`ad. H na O1..O2 ?
}
{podbiraem predely, chtoby v *.MOL popali tk. okr-sti kol`tsa O1...O2
  ISKHODNOJ molekuly (0..1, -0.2..0.2, -0.2..0.2); za tsentr mol-ly
  vybir. ne 5-j, a 10-j atom (O1); v *.MOL nakhodim nuzhnye atomy 
  (O1 i O2') i stroim tochku vida al*O1+(1-al)*O2'; al ber`om naugad -
  real`no mozhet byt` i 0.7, t.e. sv`az. s O2' .
}
   al:=0.3;
   initvect(a[15].r,
     al*0.2372+(1-al)*0.3001,
     al*0.1013+(1-al)*0.0107,
     al*(-0.0056)+(1-al)*(-0.0875));
   a[15].obozn:='H k2';

   initvect(a[16].r,0.570, 0.220, 0.120); a[16].obozn:='H 21';
   initvect(a[17].r,0.180, 0.170, 0.075); a[17].obozn:='H 22';
   initvect(a[18].r,0.770, 0.020, 0.190); a[18].obozn:='H 31';
   initvect(a[19].r,0.370,-0.010, 0.150); a[19].obozn:='H 32';
   initvect(a[20].r,0.690, 0.210, 0.230); a[20].obozn:='H 41';
   initvect(a[21].r,0.370, 0.170, 0.190); a[21].obozn:='H 42';
   initvect(a[22].r,0.770, 0.005, 0.280); a[22].obozn:='H 51';
   initvect(a[23].r,0.370, 0.005, 0.240); a[23].obozn:='H 52';
   initvect(a[24].r,0.770, 0.210, 0.335); a[24].obozn:='H 61';
   initvect(a[25].r,0.370, 0.190, 0.275); a[25].obozn:='H 62';
   initvect(a[26].r,0.780, 0.000, 0.380); a[26].obozn:='H 71';
   initvect(a[27].r,0.430, 0.010, 0.335); a[27].obozn:='H 72';
   initvect(a[28].r,0.780, 0.210, 0.430); a[28].obozn:='H 81';
   initvect(a[29].r,0.410, 0.190, 0.370); a[29].obozn:='H 82';

   centr:=a[5].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>={-d}-0.6) and (q[1]<={1+d}1.6)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

