{monokl. p-C6H4Cl2; Acta Cryst. 1959, 12, 126}

 const imya='C6H4Cl2m';

 procedure P2_1_a;
 {P2_1_c v drugoj ustanovke; ochev., primer - D-forma Br(CH2)10COOH}
 {predp., chto b perp. ac}
 begin
  n_oper:=4;
  initmatr(ope[1].a, 1,0,0, 0,1,0, 0,0,1); initvect(ope[1].tau, 0,0,0);
  initmatr(ope[2].a, -1,0,0, 0,-1,0, 0,0,-1); initvect(ope[2].tau, 0,0,0);
  initmatr(ope[3].a, 1,0,0, 0,-1,0, 0,0,1); initvect(ope[3].tau, 1/2,1/2,0);
  initmatr(ope[4].a, -1,0,0, 0,1,0, 0,0,-1); initvect(ope[4].tau, 1/2,1/2,0);
  n_centrir:=1;
  initvect(centrir[1], 0,0,0);
 end;
                                    
 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=14.80; b:=5.78; c:=3.99;
  alpha:=90*grad; beta:=113.0*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=6;
   initvect(a[1].r,0.167,0.172,0.973); a[1].obozn:='Cl1';
   initvect(a[2].r,0.074,0.357,0.991); a[2].obozn:='C 1';
   initvect(a[3].r,0.098,0.559,1+0.187); a[3].obozn:='C 2';
   initvect(a[4].r,0.023,0.712,1+0.191); a[4].obozn:='C 3';
   initvect(a[5].r,0.155,0.594,1+0.346); a[5].obozn:='H 2';
   initvect(a[6].r,0.034,0.843,1+0.337); a[6].obozn:='H 3';
   centr:=a[2].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.1)
        or
      (
       ((copy(zapis[i].obozn,1,2)<>'H ') and (copy(zapis[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  if g1 then zapomn_r(i,j,r);
  nado_sv:=g1;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.8;
  nado_postr:=(q[1]>=-0.2) and (q[1]<=(1+0.2))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

