{Chan L.Y.Y., Einstein F.W.B., Canad. J. Chem. 1971, 49, 468:
  gamma-KIO3.HIO3}
{sr.: Acta Cr. 1970, B26, 302: privod. param. jach. - javno dann. modif.
  P2_1_c, 7.025/8.206/21.839, beta=97.98o), no predp., chto P2_1_c - oshib.,
  t.k. obnar. sil`n. p`jezoeff. Vozm., vyrastili ne tu modif.?
}

 const imya='g_khio32';

 procedure zad_bazis; var v:real;
 begin
  aa:=7.028; b:=8.203; c:=21.841;
  alpha:=pi/2; beta:=98.03*(pi/180); gamma:=pi/2;
  initvect(a[1],aa,0,0);
  initvect(a[2],0,b,0);
  initvect(a[3],c*cos(beta),0,c*sin(beta));
  {v:=aa*b*c*sin(beta); writeln('v=',v:10:4); readln;}
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec;
 begin
  nmolec:=6;
  with mo[1] do begin
   nat:=1;
   initvect(a[1].r,0.2498,0.8765,0.5034); a[1].obozn:='K 1';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=1;
   initvect(a[1].r,0.1444,0.6135,0.6715); a[1].obozn:='K 2';
   centr:=a[1].r;
  end;
  with mo[3] do begin
   nat:=4;
   initvect(a[1].r,0.1688,0.1045,0.6573); a[1].obozn:='I 1';
   initvect(a[2].r,0.0531,0.2675,0.6925); a[2].obozn:='O 11';
   initvect(a[3].r,0.0150,0.9416-1,0.6691); a[3].obozn:='O 12';
   initvect(a[4].r,0.0986,0.1429,0.5758); a[4].obozn:='O 13';
   centr:=a[1].r;
  end;
  with mo[4] do begin
   nat:=4;
   initvect(a[1].r,0.2314,0.3873,0.4998); a[1].obozn:='I 2';
   initvect(a[2].r,0.0014,0.3560,0.4534); a[2].obozn:='O 21';
   initvect(a[3].r,0.3192,0.5407,0.4524); a[3].obozn:='O 22';
   initvect(a[4].r,0.3501,0.2093,0.4744); a[4].obozn:='O 23';
   centr:=a[1].r;
  end;
  with mo[5] do begin
   nat:=4;
   initvect(a[1].r,0.6678,0.3679,0.6563); a[1].obozn:='I 3';
   initvect(a[2].r,0.4159,0.3994,0.6383); a[2].obozn:='O 31';
   initvect(a[3].r,0.6475,0.2708,0.7347); a[3].obozn:='O 32';
   initvect(a[4].r,0.7410,0.5658,0.6851); a[4].obozn:='O 33';
   centr:=a[1].r;
  end;
  with mo[6] do begin
   nat:=4;
   initvect(a[1].r,0.6524,0.8605,0.6359); a[1].obozn:='I 4';
   initvect(a[2].r,0.4045,0.8058,0.6276); a[2].obozn:='O 41';
   initvect(a[3].r,0.6645,0.9027,0.7243); a[3].obozn:='O 42';
   initvect(a[4].r,0.6229,1.0612,0.6086); a[4].obozn:='O 43';
   centr:=a[1].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3:boolean;
 begin
  g1:=r<2.0;
  g2:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  g3:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','I ') and (r<2.8));
  if g1 or g2 {or g3} then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 {or g3};
 end;
 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;
