{KH2PO4: J.Ph.Soc.Jap. 1970, 29(5), 1282: Fujiwara T.}

 const imya='kh2po4';

 procedure zad_bazis; var v:real;
 begin
  aa:=7.434; b:=aa; c:=6.945;
  alpha:=pi/2; beta:=pi/2; gamma:=pi/2;
  initvect(a[1],aa,0,0);
  initvect(a[2],0,b,0);
  initvect(a[3],0,0,c);
  {v:=aa*b*c*sin(beta); writeln('v=',v:10:4); readln;}
 end;

 procedure zad_simm; begin I4_2d; end;

 procedure zad_molec; var i:integer; x,y,z,u:real;
  procedure ini1(var mo:molec; x,y,z:real; s:s5);
  begin with mo do begin
   nat:=1; initvect(a[1].r,x,y,z); a[1].obozn:=s; centr:=a[1].r;
  end; end;
 begin
  nmolec:=2;
  ini1(mo[1],0,0,1/2,'K ');
  x:=0.0805; y:=0.144; z:=0.139;
  with mo[2] do begin
   nat:=5;
   initvect(a[1].r,0,0,0); a[1].obozn:='P ';
   initvect(a[2].r,x,y,z); a[2].obozn:='O 1';
   initvect(a[3].r,-x,-y,z); a[3].obozn:='O 2';
   initvect(a[4].r,-y,x,-z); a[4].obozn:='O 3';
   initvect(a[5].r,y,-x,-z); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=r<1.6;
  g2:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 procedure dopoln_anal;
 {rasschit. na dialogov. rezhim - nomer kontakta pravim i transliruem zanovo}
  var i,j,k,l:integer; ri,rj,rk,rl:vect3; grad,rr,fi1,fi2,hi:real; bbb:text;
 begin
  grad:=pi/180;
  with contact[4] do begin j:=i1; k:=i2; end;
  i:=8; repeat i:=i+1 until (copy(zapis^[i].obozn,1,2)='P ') and svya(i,j);
  l:=8; repeat l:=l+1 until (copy(zapis^[l].obozn,1,2)='P ') and svya(l,k);
  {vozm. tonk. oshibka: predp., chto s O sv`az. tk. 1 I; esli odnovr.
    ishchutsa korotk. nevalentn. O...I, -> khvataet ne tot I -> shuin}
  writeln('i,j,k,l=',i:5,j:5,k:5,l:5);
  writeln(zapis^[i].obozn,' ',zapis^[j].obozn,' ',
    zapis^[k].obozn,' ',zapis^[l].obozn,zapis^[j].r[3]:10:4,zapis^[k].r[3]:10:4);
  xyz(zapis^[i].r,ri[1],ri[2],ri[3]);
  xyz(zapis^[j].r,rj[1],rj[2],rj[3]);
  xyz(zapis^[k].r,rk[1],rk[2],rk[3]);
  xyz(zapis^[l].r,rl[1],rl[2],rl[3]);
  rr:=rasst(rj,rk);
  fi1:=ugol(ri,rj,rk); fi2:=ugol(rj,rk,rl); hi:=dvugr(ri,rj,rk,rl);
  writeln(rr:10:4,fi1/grad:10:4,fi2/grad:10:4,hi/grad:10:4);
  assign(bbb,'result.txt'); append(bbb);
  writeln(bbb,zapis^[i].obozn,' ',zapis^[j].obozn,' ',
    zapis^[k].obozn,' ',zapis^[l].obozn,zapis^[j].r[3]:10:4,zapis^[k].r[3]:10:4);
  writeln(bbb,rr:10:4,fi1/grad:10:4,fi2/grad:10:4,hi/grad:10:4);
  close(bbb);
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect3):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

