{A1-forma laurin. k-ty; Acta Cryst. 1963, 16, 984}

 const imya='lauri_a1';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=7.45; b:=5.40; c:=17.47;
  alpha:=(96+57/60)*grad; beta:=(113+8/60)*grad; gamma:=(81+7/60)*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P1_; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=14;
   initvect(a[1].r,0.0727,0.2067,0.0928); a[1].obozn:='C 1';
   initvect(a[2].r,0.1597,0.4509,0.1598); a[2].obozn:='C 2';
   initvect(a[3].r,0.1256,0.4174,0.2429); a[3].obozn:='C 3';
   initvect(a[4].r,0.2138,0.6293,0.3138); a[4].obozn:='C 4';
   initvect(a[5].r,0.1802,0.5974,0.3862); a[5].obozn:='C 5';
   initvect(a[6].r,0.2664,0.7433,0.4625); a[6].obozn:='C 6';
   initvect(a[7].r,0.2364,0.7443,0.5373); a[7].obozn:='C 7';
   initvect(a[8].r,0.3199,0.9135,0.6093); a[8].obozn:='C 8';
   initvect(a[9].r,0.3029,0.8857,0.6905); a[9].obozn:='C 9';
   initvect(a[10].r,0.3834,1.0958,0.7617); a[10].obozn:='C 10';
   initvect(a[11].r,0.3619,1.0592,0.8385); a[11].obozn:='C 11';
   initvect(a[12].r,0.4320,1.2804,0.8981); a[12].obozn:='C 12';
   initvect(a[13].r,0.1661,0.2665,0.0381); a[13].obozn:='O 1';
   initvect(a[14].r,-1+0.9866,0.0841,0.0927); a[14].obozn:='O 2';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.8;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

