{L-alanin: Acta Cryst. 1966, 20, 550}

 const imya='L_ala';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=6.032; b:=12.343; c:=5.784;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_2_1_2_1; end;

 procedure zad_molec; var i,ix,iy:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=6{13};
   initvect(a[1].r,0.7287,0.0843,0.6283); a[1].obozn:='O 1';
   initvect(a[2].r,0.4501,0.1850,0.7609); a[2].obozn:='O 2';
   initvect(a[3].r,0.5606,0.1418,0.6016); a[3].obozn:='C 1';
   initvect(a[4].r,0.6560,0.1382,0.1856); a[4].obozn:='N ';
   initvect(a[5].r,0.4769,0.1612,0.3563); a[5].obozn:='C 2';
   initvect(a[6].r,0.2746,0.0915,0.3025); a[6].obozn:='C 3';
   initvect(a[7].r,0.699,0.064,0.194); a[7].obozn:='H 1';
   initvect(a[8].r,0.769,0.179,0.223); a[8].obozn:='H 2';
   initvect(a[9].r,0.599,0.150,0.043); a[9].obozn:='H 3';
   initvect(a[10].r,0.442,0.239,0.346); a[10].obozn:='H 4';
   initvect(a[11].r,0.222,0.108,0.144); a[11].obozn:='H 5';
   initvect(a[12].r,0.153,0.103,0.410); a[12].obozn:='H 6';
   initvect(a[13].r,0.315,0.014,0.306); a[13].obozn:='H 7';
 (*
   for i:=1 to nat do begin
    ix:=100+round(300*a[i].r[2]); iy:=100+round(300*a[i].r[3]);
    putpixel(ix,iy,15);
    delay(2000);
   end;
   readln; halt;
*)
   centr:=a[3].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.0)
        or
      (
       ((copy(zapis^[i].obozn,1,2)<>'H ') and (copy(zapis^[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  g3:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','O ') and (r<3.0));
  g4:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.0));
  if g1 or g2 or g3 or g4 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.8;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-0.2) and (q[2]<=(1+0.2))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

