{mochev. k-ta; Acta Cryst. 1966, 20, 397}

 const imya='moch_kta';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=14.464; b:=7.403; c:=6.208;
  alpha:=90*grad; beta:=65.10*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=12;
   initvect(a[1].r,0.39588,0.42200,0.87757); a[1].obozn:='C 1';
   initvect(a[2].r,0.36545,0.26650,0.58328); a[2].obozn:='C 2';
   initvect(a[3].r,0.46484,0.21754,0.46398); a[3].obozn:='C 3';
   initvect(a[4].r,0.53826,0.26650,0.54745); a[4].obozn:='C 4';
   initvect(a[5].r,0.38108,0.11110,0.26193); a[5].obozn:='C 5';
   initvect(a[6].r,0.49430,0.36422,0.75924); a[6].obozn:='N 1';
   initvect(a[7].r,0.32883,0.36683,0.78474); a[7].obozn:='N 2';
   initvect(a[8].r,0.47474,0.12343,0.26222); a[8].obozn:='N 3';
   initvect(a[9].r,0.31415,0.20174,0.45958); a[9].obozn:='N 4';
   initvect(a[10].r,0.36783,0.51657,1.05543); a[10].obozn:='O 1';
   initvect(a[11].r,0.63000,0.23031,0.45254); a[11].obozn:='O 2';
   initvect(a[12].r,0.35938,0.03350,0.11202); a[12].obozn:='O 3';
   centr:=a[3].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.1)
        or
      (
       ((copy(zapis[i].obozn,1,2)<>'H ') and (copy(zapis[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  g3:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.0));
  g4:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','N ') and (r<3.0));
  if g1 or g2 or g3 or g4 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.6; {0.5 -> ne obesp. nakh. vsekh 4-kh tipov H-sv.}
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

