{Sn2P2S6: Bercha D.M., ..., Slozhn. khal`kogenidy i khal`kogalogenidy. L`vov,
izd. pri LGU izd. ob'jed-nija "Vyshcha shk.", 1983; forma Pc=Cs2}
(*
Gruppy P2S6 - pokhozhe na C2H6;
Forma P21/c=C2h5: param. reshotki ne vypis.; Sn - v pozits. 4(c).
Sn 0.7172 0.6305 0.7495
P 9930 1080 9330
S1 8372 0037 7375
S2 3551 1915 0320
S3 7894 3018 9446
*)

 const imya='sn2p2s6a';

 procedure zad_bazis; var v:real;
 begin
  aa:=6.513; b:=7.488; c:=11.310;
  alpha:=pi/2; beta:=124.8*(pi/180); gamma:=pi/2;
  initvect(a[1],aa,0,0);
  initvect(a[2],0,b,0);
  initvect(a[3],c*cos(beta),0,c*sin(beta));
  {v:=aa*b*c*sin(beta); writeln('v=',v:10:4); readln;}
 end;

 procedure zad_simm; begin P_c; end;

 procedure zad_molec; var i:integer;
  procedure ini1(var mo:molec; x,y,z:real; s:s5);
  begin with mo do begin
   nat:=1; initvect(a[1].r,x,y,z); a[1].obozn:=s; centr:=a[1].r;
  end; end;
 begin
  nmolec:=3;
  ini1(mo[1],0.2494,0.3856,0.5270,'K 1');
  ini1(mo[2],0.8149,0.1245,0.0279,'K 2');
  with mo[3] do begin
   nat:=8;
   initvect(a[1].r,0.4944,0.8608,0.6836); a[1].obozn:='P 1';
   initvect(a[2].r,0.5082,0.6447,0.8174); a[2].obozn:='P 2';
   initvect(a[3].r,0.3389,0.7511,0.4898); a[3].obozn:='S 1';
   initvect(a[4].r,0.6646,0.7437,1.0149); a[4].obozn:='S 2';
   initvect(a[5].r,0.8538,0.9462,0.7788); a[5].obozn:='S 3';
   initvect(a[6].r,0.1435,0.5633,0.7147); a[6].obozn:='S 4';
   initvect(a[7].r,0.2863,1.0517,0.6942); a[7].obozn:='S 5';
   initvect(a[8].r,0.7075,0.4480,0.8050); a[8].obozn:='S 6';
   for i:=1 to 3 do centr[i]:=(a[1].r[i]+a[2].r[i])/2;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3:boolean;
 begin
  g1:=r<2.2;
  g2:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'K ','S ') and (r<2.85));
  g3:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'K ','P ') and (r<2.85));
  if g1 or g2 or g3 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3;
 end;
 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;
