{azelain. k-ta, beta-forma; Acta Cryst. 1967, 22, 289}

 const imya='azelai_b';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=22.75; b:=4.78; c:=9.83;
  alpha:=90*grad; beta:=(111+50/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin C2_c; end;
 {v orig. - A2_a; men`aem mestami aa i c, a tzh. vse x[i] i z[i]}

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=7{15};
   initvect(a[1].r,0.1920,-0.1082,0.0898); a[1].obozn:='C 1';
   initvect(a[2].r,0.1481,0.0201,0.1559); a[2].obozn:='C 2';
   initvect(a[3].r,0.0980,-0.1727,0.1747); a[3].obozn:='C 3';
   initvect(a[4].r,0.0494,-0.0085,0.2169); a[4].obozn:='C 4';
   initvect(a[5].r,0.0000,-0.1807,0.2500); a[5].obozn:='C 5';
   initvect(a[6].r,0.1806,-0.3277,0.0192); a[6].obozn:='O 1';
   initvect(a[7].r,0.2428,0.0377,0.1082); a[7].obozn:='O 2';
{H_kisl sv`az. s O2; sogl. s r(C-O1) i r(C-O2); 
  no otkhodit ot O..O, poetomu dl`a uproshch. kartiny ne izobr. ego.
}
   initvect(a[8].r,0.275, -0.010,0.115); a[8].obozn:='H k';
   initvect(a[9].r,0.175, 0.080,0.250); a[9].obozn:='H 21';
   initvect(a[10].r,0.125, 0.140,0.085); a[10].obozn:='H 22';
   initvect(a[11].r,0.125,-0.260,0.260); a[11].obozn:='H 31';
   initvect(a[12].r,0.075,-0.230,0.065); a[12].obozn:='H 32';
   initvect(a[13].r,0.075, 0.080,0.310); a[13].obozn:='H 41';
   initvect(a[14].r,0.030, 0.080,0.150); a[14].obozn:='H 42';
   initvect(a[15].r,0.025,-0.250,0.330); a[15].obozn:='H 51';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;


 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-0.7) and (q[2]<=(1+0.7))
    and (q[3]>=-0.7) and (q[3]<=(1+0.7));
 end;

