{benzamid; Acta Cryst. 1959, 12, 130}

 const imya='benzamid';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=5.59; b:=5.01; c:=21.93;
  alpha:=90*grad; beta:=(90+45/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=9;
   initvect(a[1].r,0.292,0.031,0.0608); a[1].obozn:='C 1';
   initvect(a[2].r,0.478,0.073,0.1086); a[2].obozn:='C 2';
   initvect(a[3].r,0.644,0.272,0.1038); a[3].obozn:='C 3';
   initvect(a[4].r,0.822,0.296,0.1482); a[4].obozn:='C 4';
   initvect(a[5].r,0.823,0.129,0.1976); a[5].obozn:='C 5';
   initvect(a[6].r,0.647,-0.071,0.2036); a[6].obozn:='C 6';
   initvect(a[7].r,0.481,-0.097,0.1589); a[7].obozn:='C 7';
   initvect(a[8].r,0.195,-0.189,0.0530); a[8].obozn:='O ';
   initvect(a[9].r,0.230,0.241,0.0284); a[9].obozn:='N ';
   centr:=a[1].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.1)
        or
      (
       ((copy(zapis[i].obozn,1,2)<>'H ') and (copy(zapis[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  g3:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.0));
  g4:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','N ') and (r<3.0));
  if g1 or g2 or g3 or g4 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.6; {0.5 -> ne obesp. nakh. vsekh 4-kh tipov H-sv.}
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

