{CaHPO4.2H2O; J.Chem.Soc.(A) 1971, 3725; Curry N.A. et al.}

 const imya='CaHPO4w';

 procedure I_a; {predp., chto b perp. ac} {eto C_c v dr. ustan.}
 begin
  n_oper:=2;
  initmatr(ope[1].a, 1,0,0, 0,1,0, 0,0,1); initvect(ope[1].tau, 0,0,0);
  initmatr(ope[2].a, 1,0,0, 0,-1,0, 0,0,1); initvect(ope[2].tau, 1/2,0,0);
  n_centrir:=2;
  initvect(centrir[1], 0,0,0);
  initvect(centrir[2], 1/2,1/2,1/2);
 end;

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=5.812; b:=15.180; c:=6.239;
  alpha:=90*grad; beta:=(116+25/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin I_a; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=5;
  ini_1_at_mol(mo[1],0.7559,0.3266,0.5059,'Ca');
  with mo[2] do begin
   nat:=5;
   initvect(a[1].r,0.2485,0.3225,-0.0143); a[1].obozn:='P ';
   initvect(a[2].r,0.2423,0.3675,0.2163); a[2].obozn:='O 1';
   initvect(a[3].r,0.5143,0.2823,0.0801); a[3].obozn:='O 2';
   initvect(a[4].r,0.1918,0.3927,-0.2016); a[4].obozn:='O 3';
   initvect(a[5].r,0.0346,0.2532,-0.1091); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;
  with mo[3] do begin
   nat:=3;
   initvect(a[1].r,0.6233,0.4262,0.7343); a[1].obozn:='O w1';
   initvect(a[2].r,0.6427,0.4898,0.7482); a[2].obozn:='H w12';
   initvect(a[3].r,0.4647,0.4121,0.7452); a[3].obozn:='H w13';
   centr:=a[1].r;
  end;
  with mo[4] do begin
   nat:=3;
   initvect(a[1].r,0.7823,0.4473,0.2738); a[1].obozn:='O w2';
   initvect(a[2].r,0.7785,0.5094,0.2794); a[2].obozn:='H w24';
   initvect(a[3].r,0.7560,0.4334,0.1167); a[3].obozn:='H w25';
   centr:=a[1].r;
  end;
  ini_1_at_mol(mo[5],0.1568,0.3293,0.2897,'H 1');
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.0) 
        or 
      (
       ((copy(zapis[i].obozn,1,2)<>'H ') or (copy(zapis[j].obozn,1,2)<>'H '))
         and 
       (r<2.0)
      );
  g2:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

