{Wyckoff, Cryst. str-res, Suppl.III
  (Bibl. In-ta nizk. temp. Pol`sk. AN, Wroclaw);
  kinovar` HgS.
  -> pravil`n. R(Hg-S)=2.36 i tsepi (-Hg-S-)n vdol` z. 
}

 const imya='HgS';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=4.149; b:=aa; c:=9.495; {26oC}
  alpha:=90*grad; beta:=90*grad; gamma:=120*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P3_12; end;

 procedure zad_molec; var i:integer; u,v:real;
 begin
  u:=0.720; v:=0.485;
  nmolec:=2;
  ini_1_at_mol(mo[1],u,0,{1/3}0,'Hg');
  ini_1_at_mol(mo[2],v,0,{5/6}3/6,'S ');
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=
    ((copy(zapis[i].obozn,1,2)<>copy(zapis[j].obozn,1,2)) and (r<2.4)) 
      or 
    (r<2.1);
  if g1 then zapomn_r(i,j,r);
  nado_sv:=g1;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.75;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

