{C-forma laurin. k-ty; Acta Cryst. 1951, 4, 324}

 const imya='lauri_c';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=9.524; b:=4.965; c:=35.39;
  alpha:=90*grad; beta:=(129+13/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=14;
   initvect(a[1].r,0.3933,0.3000,0.0067); a[1].obozn:='O OH';
   initvect(a[2].r,0.4513,0.4667,0.0429); a[2].obozn:='C 1';
   initvect(a[3].r,0.5457,0.6533,0.0538); a[3].obozn:='O ';
   initvect(a[4].r,0.4000,0.3300,0.0750); a[4].obozn:='C 2';
   initvect(a[5].r,0.4900,0.5267,0.1208); a[5].obozn:='C 3';
   initvect(a[6].r,0.4217,0.3917,0.1483); a[6].obozn:='C 4';
   initvect(a[7].r,0.5167,0.5600,0.1958); a[7].obozn:='C 5';
   initvect(a[8].r,0.4467,0.4100,0.2242); a[8].obozn:='C 6';
   initvect(a[9].r,0.5433,0.5667,0.2739); a[9].obozn:='C 7';
   initvect(a[10].r,0.4767,0.4333,0.2992); a[10].obozn:='C 8';
   initvect(a[11].r,0.5690,0.5733,0.3483); a[11].obozn:='C 9';
   initvect(a[12].r,0.4983,0.4567,0.3742); a[12].obozn:='C 10';
   initvect(a[13].r,0.5867,0.5633,0.4237); a[13].obozn:='C 11';
   initvect(a[14].r,0.5167,0.4533,0.4492); a[14].obozn:='C 12';
   centr:=a[2].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.8;
  nado_postr:=(q[1]>=-0.2) and (q[1]<=(1+0.2))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

