{Tetragidrodimezoperjodat litija Li2H4I2O10 -
  Z.anorg.allg.Chem. 1996, 622, 1901-6; Jansen M., Mueller R.
}

 const imya='li2h4i2o';

 procedure P2_1_n;
 {P2_1_c v drugoj ustanovke}
 {predp., chto b perp. ac}
 begin
  n_oper:=4;
  initmatr(ope[1].a, 1,0,0, 0,1,0, 0,0,1); initvect(ope[1].tau, 0,0,0);
  initmatr(ope[2].a, -1,0,0, 0,-1,0, 0,0,-1); initvect(ope[2].tau, 0,0,0);
  initmatr(ope[3].a, 1,0,0, 0,-1,0, 0,0,1); initvect(ope[3].tau, 1/2,1/2,1/2);
  initmatr(ope[4].a, -1,0,0, 0,1,0, 0,0,-1); initvect(ope[4].tau, 1/2,1/2,1/2);
  n_centrir:=1;
  initvect(centrir[1], 0,0,0);
 end;

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=5.3398; b:=4.7185; c:=14.3148;
  alpha:=90*grad; beta:=91.614*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_n; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=2;
  ini_1_at_mol(mo[1],-0.49527,0.03758,0.21642,'Li');
  with mo[2] do begin
   nat:=12;
   initvect(a[1].r,0.00259,0.03241,0.10768); a[1].obozn:='I ';
   initvect(a[2].r,0.29781,-0.20406,0.11029); a[2].obozn:='O 1';
   initvect(a[3].r,0.13959,0.20393,-0.00502); a[3].obozn:='O 2';
   initvect(a[4].r,-0.16185,-0.17252,0.19206); a[4].obozn:='O 3';
   initvect(a[5].r,0.17347,0.28862,0.17932); a[5].obozn:='O 4';
   initvect(a[6].r,-0.29177,0.26084,0.09671); a[6].obozn:='O 5';
   for i:=1 to 6 do begin
    initvect(a[i+6].r,-a[i].r[1],-a[i].r[2],-a[i].r[3]);
    a[i+6].obozn:=a[i].obozn+'''';
   end;
   for i:=1 to 3 do centr[i]:=(a[1].r[i]+a[7].r[i])/2;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=r<2.0;
  g2:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

