{tetrazin; Acta Cryst. 1956, 9, 510}

 const imya='tetrazin';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=5.23; b:=5.79; c:=6.63;
  alpha:=90*grad; beta:=(115+30/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=3;
   initvect(a[1].r,0.2546,0.0153,0.1380); a[1].obozn:='C ';
   initvect(a[2].r,0.1834,-0.1669,-0.0015); a[2].obozn:='N 1';
   initvect(a[3].r,0.0849,0.1795,0.1486); a[3].obozn:='N 2';
   centr:=a[1].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.1)
        or
      (
       ((copy(zapis[i].obozn,1,2)<>'H ') and (copy(zapis[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  if g1 then zapomn_r(i,j,r);
  nado_sv:=g1;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.35;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

